summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
Diffstat (limited to 'utils')
-rw-r--r--utils/gitlab-ci/php-lint.sh4
-rw-r--r--utils/gitlab-ci/phpmd.sh5
2 files changed, 6 insertions, 3 deletions
diff --git a/utils/gitlab-ci/php-lint.sh b/utils/gitlab-ci/php-lint.sh
index 172abd873..9bd513f88 100644
--- a/utils/gitlab-ci/php-lint.sh
+++ b/utils/gitlab-ci/php-lint.sh
@@ -1,3 +1,5 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
exec find . -name "*.php" -not -path "*/lib/*" -print0 | xargs -0 -n1 php -l
diff --git a/utils/gitlab-ci/phpmd.sh b/utils/gitlab-ci/phpmd.sh
index 117be1848..4ff5daf76 100644
--- a/utils/gitlab-ci/phpmd.sh
+++ b/utils/gitlab-ci/phpmd.sh
@@ -1,7 +1,8 @@
-#!/bin/sh -i -e
+#!/bin/sh
+
+set -e
phpmd include,classes text utils/gitlab-ci/phpmd-ruleset.xml
FILES=$(ls -dm *.php | tr -d " "| tr -d "\n")
phpmd $FILES text utils/gitlab-ci/phpmd-ruleset.xml
-